﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace DataModel
{
    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            Random rnd = new Random();
            for (int i = 1; i < 23; i++)
            {
                int startyear = 2012 + (int)(i / 12);
                int endyear = 2012 + (int)((i + 1) / 12);
                this.Add(new SimpleDataPoint
                {
                    ID = i,
                    Name = "Value" + i,
                    StartDate = new DateTime(startyear, i % 12 + 1, 16),
                    EndDate = new DateTime(endyear, (i + 1) % 12 + 1, 15),
                    value1 = rnd.Next(11),
                    value2 = rnd.Next(11)
                });
            }
        }
    }

    public class SimpleDataPoint
    {
        public int ID { get; set; }
        public int value1 { get; set; }
        public int value2 { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public string Name { get; set; }
    }
}
